For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tenant App

Manage VARIO Cloud tenant apps via the REST API, including token issuance, refresh, permissions, installed apps, status, settings, and app domains.

Tenant applications

post
Path parameters
identifierstring · uuidRequired
Responses
200

OK

*/*
appIdentifierstring · uuidOptional

App-Identifikationsnummer

bearerTokenstringOptional

Bearer-Token fuer Companion-App Api

expiresIninteger · int32Optional

Token wird ablaufen in Sekunden

issuedAtstring · date-timeOptional

Token erstellt am

post/cmn/apps/{identifier}/token
POST /cmn/apps/{identifier}/token HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "bearerToken": "text",
  "expiresIn": 1,
  "issuedAt": "2026-01-01T00:00:00.000Z"
}
post
Path parameters
identifierstring · uuidRequired
Body
stringOptional
Responses
200

OK

*/*
appIdentifierstring · uuidOptional

App-Identifikationsnummer

bearerTokenstringOptional

Bearer-Token fuer Companion-App Api

expiresIninteger · int32Optional

Token wird ablaufen in Sekunden

issuedAtstring · date-timeOptional

Token erstellt am

post/cmn/apps/{identifier}/refresh-token
POST /cmn/apps/{identifier}/refresh-token HTTP/1.1
Host: api.example.com
Content-Type: text/plain
Accept: */*
Content-Length: 6

"text"
200

OK

{
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "bearerToken": "text",
  "expiresIn": 1,
  "issuedAt": "2026-01-01T00:00:00.000Z"
}
post
Path parameters
identifierstring · uuidRequired
Body
expiresAtstring · date-timeOptional

gueltig bis UTC Timestamp

permissionsstring[]Optional

Permissions

Responses
200

OK

*/*
appIdentifierstring · uuidOptional

App-Identifikationsnummer

bearerTokenstringOptional

Bearer-Token fuer Companion-App Api

expiresIninteger · int32Optional

Token wird ablaufen in Sekunden

issuedAtstring · date-timeOptional

Token erstellt am

post/cmn/apps/{identifier}/permitted-token
POST /cmn/apps/{identifier}/permitted-token HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "expiresAt": "2026-01-01T00:00:00.000Z",
  "permissions": [
    "text"
  ]
}
200

OK

{
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "bearerToken": "text",
  "expiresIn": 1,
  "issuedAt": "2026-01-01T00:00:00.000Z"
}
get
Responses
200

OK

*/*
installedFrominteger · int64Optional

User Id

installedAtstring · date-timeOptional

Installation-zeit

activebooleanOptional

Aktiv

Default: true
statusstring · enumOptional

Status

Possible values:
appDomainstringOptional

App-Domain (FQDN) für iFrame-Loading

get/cmn/apps/installed
GET /cmn/apps/installed HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Last updated

Was this helpful?